Safari issue with Other amount option in banner: mask currency code letters
Closed, ResolvedPublic

Description

We've replicated an error encountered by a Safari-using donor from Zendesk #357265: if you type currency code USD in addition to the amount on the Other field, you get a minimum amount error message:

The banner is https://en.m.wikipedia.org/wiki/Apple?banner=B1718_0816_en6C_mob_p1_lg_txt_cnt&force=1&country=US

MBeat33 created this task.Aug 16 2017, 4:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2017, 4:43 PM
Pcoombe closed this task as Resolved.Aug 17 2017, 4:00 PM

Fixed with this edit tightening up the existing blocking.

Pcoombe reopened this task as Open.Sep 8 2017, 3:30 PM

Re-opening, that change broke using backspace and arrow keys in Firefox so I've reverted it while I look for another fix.

Pcoombe closed this task as Resolved.Sep 8 2017, 4:23 PM

Wow, for something so basic KeyboardEvents are a total mess of supposedly deprecated/unsupported properties. This change should work though, it explicitly excludes Backspace/Delete/cursor key events. Tested in Chrome, Firefox, IE, Safari.